Bug 134056 - smartd-conf.py requires kudzu
smartd-conf.py requires kudzu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-29 06:41 EDT by Felipe Alfaro Solana
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.4-13.1.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 11:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Felipe Alfaro Solana 2004-09-29 06:41:08 EDT
Description of problem:
"smartd-conf.py" from the "kernel-utils" package tries to import
"kudzu.py" which belongs to the "kudzu" package. However,
"kernel-utils" doesn't "Requires:" "kudzu" and thus will fail when
invoked and "kudzu" isn't installed with the following error message:

host:~# smartd-conf.py
Traceback (most recent call last):
  File "/usr/sbin/smartd-conf.py", line 4, in ?
    import kudzu
ImportError: No module named kudzu

Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.27

How reproducible:
Always

Steps to Reproduce:
1. rpm -e kudzu
2. rpm -i kernel-utils-2.4-13.1.27
3. smartd-conf.py
  
Actual results:
"smartd-conf.py" won't work if "kudzu" isn't installed.

Expected results:
"kernel-utils" should depend on "kudzu" being installed to avoid the
previously described error.

Additional info:
Add the following line to the "kernel-utils" .spec file:

Requires: kernel-utils >= 2.4-13.1.27

to fix the problem.
Comment 1 Bill Nottingham 2004-09-29 17:01:43 EDT
Um, surely you mean:

Requires: kudzu

or similar.
Comment 2 Felipe Alfaro Solana 2004-09-29 17:34:39 EDT
Yeah! Of course... Don't know what I was thinking about ;-)

Requires: kudzu

... will do fine.
Comment 3 Miloslav Trmač 2004-10-20 11:29:32 EDT
Fixed in kernel-utils-2.4-13.1.39. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.